gnome-sharp 2.20.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget used to implement first and last pages in a druid's sequence.

A druid can be thought of as having a page that starts the sequence, one or more pages that end the sequences (there can be multiple end pages if the flow of pages diverges at some point) and some pages that are in between the start and end pages.

The widget is for the first and last pages in a druid's sequence of pages. Pages in the "middle" of a sequence should use .

Gnome.DruidPage
- Method
  System.Void `` `` `` `` `` `` `` Constructs a new widget. an object of type an object of type an object of type an object of type an object of type an object of type an object of type
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new widget.
  Position in druid.
- Constructor
  Creates a new widget with the values given.
  Position in druid.
  Use an antialiased canvas.
  The title.
  The introduction text.
  The logo in the upper right corner.
  The watermark on the left.
  The top watermark.
  It is acceptable for any of the reference values to be null.
- Property
  Gdk.Color The color of the page border. The color.
- Property
  System.String The page title. The page title.
- Property
  Gdk.Color The background color of the main text area. The color.
- Property
  Gdk.Color The color of the text in the body of the page. The color.
- Property
  Gdk.Color The background color to render the logo image against. The color.
- Property
  Gdk.Pixbuf The watermark image to display on the left strip on the druid. The watermark, as a If set to , then no left-side watermark will be displayed.
- Property
  Gdk.Pixbuf The watermark image to display on the top strip on the druid. The watermark, as a If set to , then no top watermark will be displayed.
- Property
  Gdk.Color The color of the title text. The color.
- Property
  Gdk.Pixbuf The logo to display in the top right corner. the logo, as a If set to , then no logo will be displayed.
- Property
  System.String The current text of the page. The text.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Constructor
  To be added
  To be added
- Property
  System.UInt32 The position of the page within the druid. a
System.Obsolete